perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Hay" <Steve....@verosoftware.com>
Subject RE: [httpd24 branch] merge with trunk?
Date Wed, 17 Jul 2013 08:37:07 GMT
Jan Kalu┼ża wrote on 2013-07-17:
>> t/api/server_const.t                  (Wstat: 512 Tests: 0 Failed: 0)
>>    Non-zero exit status: 2 Parse errors: No plan found in TAP output
>>    t/modules/apache_resource.t           (Wstat: 512 Tests: 0 Failed:
>>    0) Non-zero exit status: 2 Parse errors: Bad plan.  You planned 1
>>    tests but ran 0.
>> t/modules/apache_status.t             (Wstat: 65280 Tests: 0 Failed:
> 0)
>>    Non-zero exit status: 255
>>    Parse errors: Bad plan.  You planned 15 tests but ran 0.
> 
> Those are related to missing &Apache2::ServerUtil::get_server_version.
> 
> You have removed that method in r1503137, because it's not provided by
> httpd-2.4, but there's compat method defined in
> modperl_apache_compat.h, which was used instead.
> 
> I can fix the tests to use proper httpd-2.4 version and remove that
> compat version if it's problem on Windows. Or if you are going to link
> modules against modperl.lib on Windows, I think we could try reverting
> that commit, since I linking against modperl.lib would probably fix
> also this previous linking problem.
> 

Thanks for pointing out my error in r1503137. That's now reverted and fixed properly by r1504043.
I'd completely forgotten that we have a compat version of ap_get_server_version. We already
link Apache2::* against mod_perl.lib, but the linker error was due to it not being exported
from mod_perl.so, so it wasn't available for Apache2/ServerUtil/ServerUtil.dll to use.
Mime
View raw message